EXP1803 - Developing #143

Developing # 134 (OTkpbiTa): CMynsiLns 3KCNeprMeHTa - Nepeoe NpubnmxeHne
CnekTp Bo36yxaeHun 5H

02/18/2018 12:04 PM - lvan Muzalevsky

Status: 3akpbiTa Start date: 02/18/2018
Priority: Bbicokuia Due date: 02/23/2018
Assignee: Mikhail Kozlov % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Coenatb BO3MOXHbIM 3aAaBaTtb pacnpeneneHve aHeprum Bo3byxneHus 5H, n3 kotopoit bynet paccuntbiBatbes Mmacca S5H. To
ectb M_h5 = MO + M1, rae MO - macca B OCHOBHOM COCTOSIHUM (KOHCTaHTa), M1 - BennumHa, cny4ainHo pasbirpbiBaollascs na

Kakor 0TO pacnpeneneHuns, NycTb 48 Hayana pacrnpeneneHue 6ynet cocTosiTb U3 ABYX rayccoB:
1) mean"="0.4" "FWHM"="0.02355"
2)"mean"="1.2" "FWHM"="0.2355"

13 nonyuymelierocs pacnpenenus, M1 HaBepHoe MoxHo Bynet 6patb MeTonom GetRandom.

Related issues:

Related to bugs #140: SHeprus nyuka 3akpbita 02/17/2018 02/23/2018
Related to bugs #164: BeinonHeHne ycnosuii ons pacnana B PhaseSpace . 3akpbiTa 03/07/2018 03/09/2018
History

#1 - 02/18/2018 03:37 PM - Sergey Belogurov

OTO TUNUYHBIN pyHKyuUmoHan, KOTOprl7I, KaK MHe KaxeTcsl, ONIXeH BBOAMTbCS nonb3osaTteneMm. 5 6ol napennoxwun

pasbirpblBatb B KaX4oM run pacnapg ¢ 04HOro pa3ma3aHHOro ypoBHs C TEM, 4TOObI MOXHO 6bINI0 CMELWMBATL NMOTOM BbIXOAHbBIE hainnbl B

XenaeMmbiX nponopuusax.
Bonpoc Hapo nepeanpecosath K Butanuky - B KakoM Mecte koga ynoﬁHee BBECTU pa3masblBaHne nobaBku kK Mmacce unoHa?
Janee ctapatbcst peanua3oBaTtb CaMOCTOATENObHO.

MoH>X0 An 3T0 fenatb NPsiM B Makpoce CUMYNSILIMW UMK HY>XEH HOBBI MHTEpeic K erion?

#2 - 02/18/2018 03:40 PM - Sergey Belogurov

- Assignee changed from Mikhail Kozlov to Vitaliy Schetinin

#3 - 02/21/2018 10:04 AM - Vitaliy Schetinin
- Related to bugs #140: SHeprus ny4ka added

#4 - 02/21/2018 10:26 AM - Vitaliy Schetinin

- Assignee changed from Vitaliy Schetinin to Mikhail Kozlov

1) 910 nonxeH b6biTb UHTepdpeiic knacca ERDecayEXP1803. Ceityac Tam ecTb UHTepheic K Macce OCHOBHOIo cocTosiHua SetH5Mass. HyxHo

coenatb SetH5Exitation(mean,FWHM)
2) Macca, koTopag naet B TGenPhaseSpace peakunmn cuntaet kak mass5H+Gaus(exitationSHmean,exitation5Hsigma)
3) MpusTHO, YTO B 3TOM Kjlacce HeT NpobieM ¢ Maccoi UoHa.

3anava sosspawaetcs Muwe

#5 - 02/26/2018 09:36 AM - lvan Muzalevsky
- File Particle.h added
- File Particle.cpp added

Vitaliy Schetinin wrote:

1) 910 nonxeH b6biTb UHTepdpeiic knacca ERDecayEXP1803. Ceityac Tam ecTb UHTepdpeiic K Macce OCHOBHOIo cocTosiHua SetH5Mass.
HyxHo coenatb SetH5Exitation(mean,FWHM)

2) Macca, koTopas naet B TGenPhaseSpace peakunun cuutaet kak mass5H+Gaus(exitationSHmean,exitation5SHsigma)
3) MpusATHO, 4TO B 3TOM Knacce HeT NPobNiemM ¢ Maccoi MoHa.

3apava Bosspawaetcs Muwe

Butanuk, nHTepdelic 3aiaHns Macchl YacTuUbl (CMEKTpa BO3MYXAEHUS) HY>XHO cienatb TakuM, 4Tobbl Nonb3oBaTeb MOr 3aaBaTb Maccy He
TO/bKO W3 pacnpeneneHns raycca, kak onucan Tbl, HO 1 13 Ntoboro Apyroro, Takxe 3anaBaeMoro nonb3osartenem. MpuMep peanmaaumm aToro
eCTb TYT: Ha4YMHaTb CMOPETb ny4lwe Bcero aToT meTon: void Particle::GenerateMass() (525 ctpoka particle.cpp).

#6 - 02/26/2018 09:47 AM - Vitaliy Schetinin

Ivan Muzalevsky wrote:
Vitaliy Schetinin wrote:

1) 910 monxeH 6bITb MHTEpEic knacca ERDecayEXP1803. Ceityac TaM eCTb MHTEPEIC K Macce OCHOBHOrO cocTosiHus SetH5Mass.
HyxHo coenatb SetH5Exitation(mean,FWHM)

2) Macca, koTopas naget B TGenPhaseSpace peakunn cuntaet kak massSH+Gaus(exitationSHmean,exitation5SHsigma)
3) MpusATHO, 4TO B 3TOM Knacce HeT Npobnem ¢ Maccoi noHa.

3apnava BosBpalaetcs Muwe

Butanuk, nHTepderic 3aaHns Macchbl YacTuUbl (CMEKTPA BO3MYXAEHUS) HYXHO coenaTtb TakuM, 4ToObl MoNb3oBaTeNb MOr 3aaBaTb MacCy He
TO/bKO M3 pacnpeneneHns raycca, kak onucan Tbl, HO 1 13 Ntoboro Apyroro, Takxe 3anaBaeMoro nonb3osatenem. MpuMep peanmaaumm aToro
€CTb TYT: Ha4YMHaTb CMOPETb Nyyle Bcero aToT meTon: void Particle::GenerateMass() (525 ctpoka particle.cpp).
MBaH, 3T0 HYXHO B pamMkax CUMynsiLMM LaHHOro akcnepumeHTa? Mbl 0653aTenbHO yHTEM OaHHY0 (PYHKLIMOHANbHOCTbL Npu peanusauun general
Knacca pacnaga. B pamkax atoi 3agayn Mbl rosBopum o knacce pacnaga ERDecayEXP1803, KoTOpbIii HanvcaH NCKYNTENbHO 415 3TOro
akcnepumeHTa. HyxHo nv 6yneT B JaHHOM 3KCMepyMeHTEe CUMYIMPOBAThb C PasHbIMU pacnpeneneHnsaMn? nnm xeatut raycca?

#7 - 02/26/2018 02:10 PM - Vratislav Chudoba

Lns nepsoro atana cumynsaumy (An3ainH Habopa AeTEKTOPOB U OLEeHKa 3OPEKTUBHOCTY 1 pa3pelleHnsl) HaM LOCTATOYHO CUMYNMPOBATb
pacnpeneneHve ¢ nomolubio rayca. bynet Hano UMeTb BO3MOXHOCTb 3a/10XKUTb Y3KUiA rayc, WMPOKWUIA rayc 1 Tak>Xe ANCKPeTHYI Maccy Bogopoaa.
Ins ynobcta 6yneT KNacCHO MMETb BO3MOXHOCTb 3a10XMTb HECKOMBbKO LUCKPETHbLIX COCTOSIHUIA, HO 3TO MOXXHO 060MTM TEM, YTO cAenaem
HeCKO/bKO (pannos No 0OHOW SHEPruu.

#8 - 03/06/2018 11:41 AM - Mikhail Kozlov

Jlo6aBnn BO3MOXHOCTb 3aKnaiblBaTb NPOM3BOSIbHOE KONMMYECTBO raycCcoB C Becamu Yepes MHTepgoeic:
targetDecay->SetH5EXxitation(excMean, fwhm, distibWeight).

3anaHHble 4yepes 3TOT MeTon pacnpeneneHns XpaHATCs B nopsake ux nepenadvyv B Makpoce CUMy nsaumnn.

Bbibop HoMepa pacnpeneneHns B Kax oM cobbiTUM ¢ pacnafoM NPUCXoaMT No HOMEPY MHTEPBanNa, B KOTOPbIA nonanaeT pesynbTat paBHOMEPHOIo
pasbirpoisaHnsa gRandom->Uniform(0., Wsum);

Selection_193.png

Hanpumep, npu cneayowmnx napameTpax:

targetDecay->SetH5EXxitation(0.4, 0.02355, 1);

targetDecay->SetH5EXxitation(1.2, 0.2355, 1);
PaBHOMepHOe pacnpeneneHve pasbirpbiaetcs Ha nHtepsane (0, 2). PeaynbTat o1 0 oo 1 cootBeTtcByeT [Mayccy ¢ napameTpamu (0.4, 0.02355), a
oT1102-(1.2,0.2355) .

#9 - 03/06/2018 12:40 PM - Vratislav Chudoba
- Parent task set to #134

#10 - 03/06/2018 04:40 PM - lvan Muzalevsky

Mikhail Kozlov wrote:

Jo6aBun BO3MOXHOCTb 3aKNafbiBaTb NPOM3BONIbHOE KOMIMHYECTBO rayCCoB C BECAMM Yepes NHTepdeiic:
targetDecay->SetH5EXxitation(excMean, fwhm, distibWeight).
3anaHHbie 4yepes 3TOT MeTon pacnpeneneHnsa XpaHAaTcsa B nopsaanke nx nepenavyn B Makpoce CUMy naumn.

Bbibop HOMepa pacnpeneneHns B KaxAoM cobbiTM ¢ pacnanoM NpucxoanT No HOMEPY MHTepBana, B KOTOPLIA nonanaet pesynbTat
paBHOMepHOro paabirpsisaHns gRandom->Uniform(0., Wsum);

Selection_193.png
Hanpumep, npu cnepyowmnx napameTpax:
targetDecay->SetH5EXxitation(0.4, 0.02355, 1);

targetDecay->SetH5EXxitation(1.2, 0.2355, 1);

PaBHoMepHoe pacnpenenerve pasbirpbiaetcs Ha nHtepsane (0, 2). PesynbTart o1 0 go 1 cootBeTcyeT [Mayccy ¢ napametpamu (0.4,
0.02355),a01 1 0o 2-(1.2,0.2355) .

Mwuwa, s He Hawén KOMMUT C 3TUMK 00OaBNEHUAMN.

#11 - 03/06/2018 06:14 PM - lvan Muzalevsky
- File exp1803_sim_digi.C added

B pesynbTarte cumynsumun, He yBuAen pacnpeaeneHne Maccel 5H, KoTopoe 3anaean B Makpoce CUMy NsILUK.

Makpoc cumynsiumm nprkpennsio 5hmasspec.png

#12 - 03/07/2018 08:11 PM - Mikhail Kozlov

- Related to bugs #164: BbinonHeHue ycnoBuii ans pacnaga B PhaseSpace . added

#13 - 03/14/2018 04:19 PM - Ivan Muzalevsky
- File Kinematics5H.pdf added
- Status changed from Ortkpeita to 3akpbiTa

- % Done changed from 0 to 100

3anaya nobasneHus aHepruy Bo30y X AeHs, pasbirpbIBAEMON M3 3a4aBaeMoli Mob30BaTeNeM YHKLUMUM, K SHEprum OCHOBHOMO COCTOSIHUS Bbina
pelueHa.

Takxe, 6bin 06HapyxeH 1 noneyer bar, ces3aHHbIA ¢ 3anucbto 5H B cTek. KoHeTpykTop knacca ERMCTrack 6pan Maccy noHa 3 naHHblx Fairlon n
3anucbiBan eé kak napameTp B ctek. Meton SetH5Mass knacca ERDecayEXP1803 no3Bonsiet uaMeHsTb 370 3Ha4yeHne B AaHHbix Fairlon n Takum
06pa3om 3aaBaTtb Noib3oBaTenem nobyto SHEPru OCHOBHOMO COCTOSIHUS.

Bbina coenaHa cuMynsiums ¢ crnekTpoM Bo36y X AeHNs, aHanornyHbiM ucnonbdyemomy B SIMONE. MIcTOYHMK Haxoauncst B 3 CM OT MULEHN.
KapTtuHku npukpenneHsl. EQHCTBEHHOE, NOKa He [0 KOHLIA MOHATHOe pasnuyve:6onee HU3KOe aHepreTnyeckoe paspelueHve, yem B SIMONE.

Files

Particle.h 5.31 KB 02/26/2018 lvan Muzalevsky
Particle.cpp 16.2 KB 02/26/2018 lvan Muzalevsky
exp1803_sim_digi.C 12.5 KB 03/06/2018 Ivan Muzalevsky
Kinematics5H.pdf 1.93 MB 03/14/2018 Ivan Muzalevsky
